qpid::CommonOptions Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
qpid::CommonOptions Struct Reference

Standard options for configuration. More...

`#include <qpid/Options.h>`

List of all members.

## Public Member Functions
| CommonOptions (const std::string &name=std::string(), const std::string &configfile=std::string())
void | parse (int argc, char const *const *argv, const std::string &configfile=std::string(), bool allowUnknown=false)
| Parses options from argc/argv, environment variables and config file.
boost::program_options::options_description_easy_init | addOptions ()
## Public Attributes
bool | help
bool | version
std::string | config

## Detailed Description

Standard options for configuration.

## Constructor & Destructor Documentation

qpid::CommonOptions::CommonOptions | ( | const std::string & | name = `std::string()`,
|  | const std::string & | configfile = `std::string()`
| ) |  |

## Member Function Documentation

boost::program_options::options_description_easy_init qpid::Options::addOptions | ( |  | ) | `[inline, inherited]`

Definition at line 154 of file Options.h.

void qpid::Options::parse | ( | int | argc,
|  | char const *const * | argv,
|  | const std::string & | configfile = `std::string()`,
|  | bool | allowUnknown = `false`
| ) |  | `[inherited]`

Parses options from argc/argv, environment variables and config file.

Note the filename argument can reference an options variable that is updated by argc/argv or environment variable parsing.

## Member Data Documentation

std::string qpid::CommonOptions::config

Definition at line 169 of file Options.h.

bool qpid::CommonOptions::help

Definition at line 167 of file Options.h.

bool qpid::CommonOptions::version

Definition at line 168 of file Options.h.

The documentation for this struct was generated from the following file:

- qpid/Options.h